For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
      • GETGet text templates
      • POSTCreate a text template
      • GETGet a text template by ID
      • DELDelete a text template
      • PATCHUpdate a text template by ID
      • POSTMake a text template default
LogoLogo
API StatusPartner Portal
UtilitiesText templates

Get text templates

GET
/text_templates
GET
/v1/text_templates
$curl https://api.sandbox.monite.com/v1/text_templates \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "created_at": "2024-01-15T09:30:00Z",
6 "updated_at": "2024-01-15T09:30:00Z",
7 "document_type": "quote",
8 "is_default": true,
9 "name": "name",
10 "template": "template",
11 "type": "email_header"
12 }
13 ],
14 "next_pagination_token": "next_pagination_token",
15 "prev_pagination_token": "prev_pagination_token"
16}
Get text templates
Was this page helpful?
Previous

Create a text template

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

typeenumOptional
Allowed values:
document_typeenumOptional
is_defaultbooleanOptional

Response

Successful Response
datalist of objects
next_pagination_tokenstring
prev_pagination_tokenstring

Errors

422
Get Text Templates Request Unprocessable Entity Error
500
Get Text Templates Request Internal Server Error